<h1><%= @headline %></h1>

<h2>Users</h2>
<% if not @users %>
    <p>No User accounts exist yet.</p>
<% else %>


<table id='users'>
    <thead>
    <tr>
        <th colspan="3"><%= smr_paginate @page, @total_pages, objects_user_index_path %></th>
    </tr>
    <tr>
        <th>Login</th>
        <th>Full Name</th>
        <th>Comment</th>
    </tr>
    </thead>
    <tbody>
    <% @users.each do |u| %>
        <tr class="separaterows">
            <td>
              <% if u.id == current_user.id then %>
                <%= link_to '+', controller: 'objects/user', action: 'edit', id: u.id %>
              <%else%>&nbsp;
              <%end%>
              <%= u.login %><br/>
            </td>
            <td><%= u.fullname %></td>
            <td><span class="comment_text"><%= u.comment %></span></td>
        </tr>
    <% end %>
    </tbody>
</table>
<% end %>
